[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Sort

Sort the list

## Declaration

Source position: fgl.pp line 91

`public procedure TFPSList.Sort(`
`Compare: TFPSListCompareFunc`
`);`

## Arguments

`Compare` |  | Function to compare 2 items in the list

## Description

Sort> sorts the items in the list. Two pointers are compared by passing them to the Compare function. The result of this function determines how the pointers will be sorted:

- If the result of this function is negative, the first item is assumed to be 'less' than the second and will be moved before the second item in the list.
- If the function result is positive, the first item is assumed to be 'greater than' the second and will be moved after the second item in the list.
- if the function result is zero, the pointers are assumed to be 'equal' and no moving will take place.

The sort is done using a quicksort algorithm.

## See also

TFPSListCompareFunc |  | Compare list items callback signature